com.hazelcast.config

## Class SetConfig

- java.lang.Object
- - com.hazelcast.config.CollectionConfig<SetConfig>
  - - com.hazelcast.config.SetConfig

- All Implemented Interfaces:
    NamedConfig, DataSerializable, IdentifiedDataSerializable, com.hazelcast.nio.serialization.impl.Versioned, SplitBrainMergeTypeProvider
  Direct Known Subclasses:
    SetConfigReadOnly

      public class SetConfig
      extends CollectionConfig<SetConfig>

  Contains the configuration for an `ISet`.

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.CollectionConfig

      `DEFAULT_ASYNC_BACKUP_COUNT, DEFAULT_MAX_SIZE, DEFAULT_SYNC_BACKUP_COUNT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetConfig()`
    `SetConfig(SetConfig config)`
    `SetConfig(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SetConfigReadOnly` | `getAsReadOnly()` Deprecated. this method will be removed in 4.0; it is meant for internal usage only
    `int` | `getId()` Returns type identifier for this class.
    `String` | `toString()`

    - ### Methods inherited from class com.hazelcast.config.CollectionConfig

      `addItemListenerConfig, equals, fieldsToString, getAsyncBackupCount, getBackupCount, getFactoryId, getItemListenerConfigs, getMaxSize, getMergePolicyConfig, getName, getProvidedMergeTypes, getQuorumName, getTotalBackupCount, hashCode, isStatisticsEnabled, readData, setAsyncBackupCount, setBackupCount, setItemListenerConfigs, setMaxSize, setMergePolicyConfig, setName, setQuorumName, setStatisticsEnabled, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SetConfig

          public SetConfig()

    - #### SetConfig

          public SetConfig(String name)

    - #### SetConfig

          public SetConfig(SetConfig config)

  - ### Method Detail

    - #### getAsReadOnly

          public SetConfigReadOnly getAsReadOnly()

      Deprecated. this method will be removed in 4.0; it is meant for internal usage only
      Gets immutable version of this configuration.
      Specified by:
        `getAsReadOnly` in class `CollectionConfig<SetConfig>`
      Returns:
        immutable version of this configuration

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Returns:
        type ID

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.